Bug 1039132 - mouse pointer disappears after changing resolution inside a VM
Summary: mouse pointer disappears after changing resolution inside a VM
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: spice-gtk
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Marc-Andre Lureau
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1008965
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-06 18:24 UTC by Cole Robinson
Modified: 2015-05-31 18:57 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-05-31 18:57:13 UTC


Attachments (Terms of Use)

Description Cole Robinson 2013-12-06 18:24:39 UTC
This is an up to date F20 host and F20 guest.

Started with a resolution 1024x768, right click gnome desktop->settings->displays->change resolution to 1280x960. After resolution changes, the mouse pointer is not visible in the VM.

The mouse still works in the guest and prelights widgets, but the pointer can't be seen. Switching to a VT in the guest and back to the desktop fix it.

Reproduced with and without spice-vdagent in the guest.

FWIW there's also a guy here mentioning some 'disappearing pointer' related issues with an F20 guest on F19, maybe they are related:

https://lists.fedoraproject.org/pipermail/virt/2013-November/003868.html

Comment 1 Marc-Andre Lureau 2013-12-06 18:26:38 UTC
I think this is a drm regression, I think there is a qxl or kernel bug already, I'll try to find it later.

Comment 2 Marc-Andre Lureau 2013-12-12 09:50:36 UTC

*** This bug has been marked as a duplicate of bug 1008965 ***

Comment 3 Cole Robinson 2013-12-13 18:44:51 UTC
The referenced packages don't make any difference, still 100% reproducible.

gnome-desktop3-3.10.2-2.fc20
glib2-2.38.2-2.fc20

Comment 4 Marc-Andre Lureau 2013-12-13 23:19:42 UTC
(In reply to Cole Robinson from comment #3)
> The referenced packages don't make any difference, still 100% reproducible.
> 
> gnome-desktop3-3.10.2-2.fc20
> glib2-2.38.2-2.fc20

the bug is still open there, adding dep. It is very unlikely a spice-gtk bug, but rather a mutter/mesa/qxl issue.

Comment 5 Mohammed Arafa 2013-12-14 15:41:58 UTC
this also appear on my _physical_ laptop as documented in Bug 1008965 and on KDE

Comment 6 Fedora End Of Life 2015-05-29 09:55:58 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Cole Robinson 2015-05-31 18:57:13 UTC
Works fine with f22 host and f22 VM now


Note You need to log in before you can comment on or make changes to this bug.